Bug 446954 - KERNEL: assertion (cnt <= tcp_get_pcount(&tp->packets_out)) failed at net/ipv4/tcp_input.c (1553)
KERNEL: assertion (cnt <= tcp_get_pcount(&tp->packets_out)) failed at net/ipv...
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Thomas Graf
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 14:48 EDT by John Caruso
Modified: 2014-06-18 04:29 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 08:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Caruso 2008-05-16 14:48:32 EDT
Description of problem:
The kernel occasionally produces the message "KERNEL: assertion (cnt <=
tcp_get_pcount(&tp->packets_out)) failed at net/ipv4/tcp_input.c (1553)".

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-67.0.7.EL.x86_64
(it's also occurred on other kernels, though I'm not sure exactly which
ones...this is just the latest)

How reproducible:
Happens at random times, very infrequently (once every few months)

Steps to Reproduce:
n/a

Actual results:
Error message.

Expected results:
No error message.

Additional info:
We've seen this message occur on three different web servers over the past few
months (8/31/2007, 1/3/2008, and 5/13/2008).  It isn't accompanied by any
obvious misbehavior, though we've rebooted the servers in question after they
produced the message just to be on the safe side.  This isn't a serious problem
by any means, but I'm reporting it because I couldn't find another bug report
for it.
Comment 1 Aaron Urbain 2009-07-01 11:53:35 EDT
We're seeing this also.
server=hpdl585-g2
kernel=2.6.9-55.0.12.elsmp
this box serves nfs as a veritas cluster.
Due to the high bandwidth, we;re seeing half a dozen of these each day.
We are ignoring them.
Comment 2 Er Doy 2010-07-28 21:54:08 EDT
We're seeing this also.
Red Hat Enterprise Linux AS release 4 (Nahant Update 6)
kernel=2.6.24.3
Comment 3 Thomas Graf 2012-05-10 08:48:16 EDT
RHEL4 has entered the Extended Life Phase. There will be no more minor releases.

I'm closing this bug due to inactivity.

Please reopen and provide an explanation if you need this issue to be addressed in RHEL4. Please note that only security and critical bugfixes are considered at this point.

Note You need to log in before you can comment on or make changes to this bug.